#==============================================================================
#
#  $Id: spugspam 892 2005-11-28 21:36:30Z mike $
#
#  stub to stand in for the spf module for testing
#
#  Copyright (C) 2005 Michael A. Muller
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
#  
#  See the GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#==============================================================================

import os, sys, time

def check(ip, addr, host):
   # if there's an SPF_SLEEP variable, sleep for that interval
   if os.environ.has_key('SPF_SLEEP'):
      time.sleep(int(os.environ['SPF_SLEEP']))

   # if there's an SPF_MAP variable, check it for the ip, addr, host
   # combination defined.
   if os.environ.has_key('SPF_MAP'):
      entries = os.environ['SPF_MAP'].split(':')
      for entry in entries:
	 curIp, curAddr, curHost, curResult = entry.split(',')
	 if ip == curIp and addr == curAddr and host == curHost:
	    return (curResult, 100, 'explanation')

   # if not, return the value of the SPF_RESULT variable
   return (os.environ['SPF_RESULT'], 100, 'explanation')
